package no.valg.valgnatt.database.forberedvalg.csv;

import org.supercsv.cellprocessor.FmtBool;
import org.supercsv.cellprocessor.ParseInt;
import org.supercsv.cellprocessor.constraint.NotNull;

public class CsvKommunerOutput extends Csv {

    public CsvKommunerOutput() {
        super("kommuner.csv",
                new ParseInt(),
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new FmtBool("true", "false"),
                new FmtBool("true", "false"));
        String[] headers = new String[]{"valgaar", "valgtype", "kommnr", "kommnavn", "valgdistriktnr", "ssammenlignbar", "nssammenlignbar"};
        super.setHeader(headers);
    }

}
